.cb-editors-choice-block {
  margin-block: 32px;
}

.cb-editors-choice-block::-webkit-scrollbar {
  display: none;
}

.cb-editors-choice-block__header {
  display: flex;
  align-items: center;
  margin-bottom: 16px;
  width: 100%;
  gap: 8px;
}

.cb-editors-choice-block__title-wrapper {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cb-editors-choice-block__title {
  color: #000;
  font-size: 22px;
  font-style: normal;
  font-weight: 900;
  line-height: 24px;
  text-transform: capitalize;
  margin: 0;
  padding: 0 8px;
  white-space: nowrap;
}

.cb-editors-choice-block__line {
  flex: 1;
  height: 2px;
  background: #dd3333;
  margin: 0;
}

.cb-editors-choice-block__more {
  display: inline-flex;
  gap: 8px;
  align-items: center;
  color: #000;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 26px;
  text-decoration: none;
  transition: all .2s ease;
}

.cb-editors-choice-block__more:hover,
.cb-editors-choice-block__more:active {
  color: #8D0F10;
}

.cb-editors-choice-block__arrow {
  width: 20px;
  height: 20px;
}

.cb-editors-choice-block__authors-container {
  width: 100%;
  padding-bottom: 12px;
  overflow-x: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.cb-editors-choice-block__authors-container::-webkit-scrollbar {
  display: none;
}

.cb-editors-choice-block__authors {
  display: flex;
  gap: 48px;
  justify-content: center;
  min-width: min-content;
  margin: 0 auto;
}

.cb-editors-choice-block__author-column {
  width: 289px;
  flex-shrink: 0;
  position: relative;
  display: flex;
  flex-direction: column;
}

.cb-editors-choice-block__author-column:not(:last-child)::after {
  content: "";
  position: absolute;
  right: -24px;
  top: 0;
  bottom: 0;
  width: 1px;
  background: #dfdfdf;
}

.cb-editors-choice-block__author-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  border-bottom: 2px solid #d33;
  padding-bottom: 10px;
}

.cb-editors-choice-block__author-avatar-wrapper {
  margin-bottom: 19px;
}

.cb-editors-choice-block__author-avatar {
  width: 130px;
  height: 130px;
  border-radius: 50%;
  object-fit: cover;
  display: block;
}

.cb-editors-choice-block__author-info {
  text-align: center;
}

.cb-editors-choice-block__author-name {
  color: #000000;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 26px;
  margin: 0 0 10px 0;
  text-transform: uppercase;
}

.cb-editors-choice-block__author-name a {
  text-decoration: none;
  color: inherit;
}

.cb-editors-choice-block__author-name a:hover,
.cb-editors-choice-block__author-name a:active {
  color: #8D0F10;
}

.cb-editors-choice-block__author-role {
  color: #555555;
  font-size: 14px;
  line-height: 22px;
  min-height: 22px;
  margin: 0;
}

.cb-editors-choice-block__posts {
  list-style: none;
  padding: 0;
  margin: 24px 0 0 0;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.cb-editors-choice-block__post {
  display: flex;
  width: 100%;
  gap: 16px;
}

.cb-editors-choice-block__post-left {
  flex: 1;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.cb-editors-choice-block__post-title {
  color: #000;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 20px;
  text-decoration: none;
  height: 60px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  margin-bottom: 10px;
  width: 188px;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  overflow: hidden;
  overflow-wrap: anywhere;
  transition: all .2s ease;
}

.cb-editors-choice-block__post-title:hover,
.cb-editors-choice-block__post-title:active {
  color: #8D0F10;
}

.cb-editors-choice-block__post-cat {
  position: relative;
  padding-left: 5px;
  color: #000;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 16px;
  letter-spacing: 0.24px;
  text-transform: uppercase;
  text-decoration: none;
  display: inline-block;
}

.cb-editors-choice-block__post-cat::after {
  content: "";
  position: absolute;
  left: 0;
  top: 45%;
  transform: translateY(-50%);
  width: 12px;
  height: 12px;
  background: #d33;
  opacity: 0.3;
  border-radius: 50%;
}

.cb-editors-choice-block__post-right {
  flex-shrink: 0;
}

.cb-editors-choice-block__post-thumb {
  width: 85px;
  height: 85px;
  border-radius: 8px;
  object-fit: cover;
  display: block;
}

.cb-editors-choice-block__post-thumb.cb-editors-choice-block__post-thumb--placeholder {
  background: #f5f5f5;
}

@media (max-width: 1300px) {
  .cb-editors-choice-block {
    padding-left: 16px;
    padding-right: 16px;
  }

  .cb-editors-choice-block__authors {
    justify-content: flex-start;
  }
}

@media (max-width: 767px) {
  .cb-editors-choice-block__author-column {
    width: 300px;
  }

  .cb-editors-choice-block__post-title {
    width: 199px;
  }

  .cb-editors-choice-block__author-name,
  .cb-editors-choice-block__more {
    font-size: 17px;
  }

  .cb-editors-choice-block__authors {
    gap: 32px;
  }

  .cb-editors-choice-block__author-column:not(:last-child)::after {
    right: -16px;
  }
}

/* Editor styles */
.editor-styles-wrapper .wp-block-acf-cb-editors-choice-block {
  max-width: 1300px;
}

.editor-styles-wrapper .cb-editors-choice-block__authors {
  justify-content: flex-start;
}